org.encog.app.analyst.wizard

## Enum NormalizeRange

- java.lang.Object
- - java.lang.Enum<NormalizeRange>
  - - org.encog.app.analyst.wizard.NormalizeRange

- All Implemented Interfaces:
    Serializable, Comparable<NormalizeRange>

      public enum NormalizeRange
      extends Enum<NormalizeRange>

  The normalization range that the Encog Analyst Wizard should use.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NegOne2One` Range from -1 to 1.
    `Zero2One` Range from 0 to 1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NormalizeRange` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NormalizeRange[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NegOne2One

          public static final NormalizeRange NegOne2One

      Range from -1 to 1.

    - #### Zero2One

          public static final NormalizeRange Zero2One

      Range from 0 to 1.

  - ### Method Detail

    - #### values

          public static NormalizeRange[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NormalizeRange c : NormalizeRange.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NormalizeRange valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.